WorkspacePanel (gCube Templates Portlet 4.4.0-SNAPSHOT API)
Date: 2013-07-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.user.templates.client
Class WorkspacePanel

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.gcube.portlets.user.templates.client.WorkspacePanel

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

    public class WorkspacePanel

extends com.google.gwt.user.client.ui.Composite

`WorkspacePanel` class is the UI Component of the user workspace area

Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary
`static WorkspacePanel` | `singleton`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`WorkspacePanel(TemplateModel model, Presenter control)`

Method Summary
`int` | `addComponentToLayout(com.google.gwt.user.client.ui.Widget w, boolean isFakeTextArea)` Insert from the user
`int` | `addComponentToLayoutSystem(com.google.gwt.user.client.ui.Widget w, boolean isDoubleColumnLayout)` Insert forom the system
`void` | `addFirstTextArea()`
`static WorkspacePanel` | `get()`
`com.google.gwt.user.client.ui.FlowPanel` | `getMainLayout()`
`com.google.gwt.user.client.ui.PopupPanel` | `getResizePopup(com.google.gwt.user.client.ui.Widget toResize)`
`void` | `mask()`
`void` | `moveWidget(com.google.gwt.user.client.ui.Widget toMove, int left, int top)`
`void` | `openImageUploadDialog(Coords start, int width, int height, DroppingArea toRemove)` popup the open Image Upload Dialog
`boolean` | `removeComponentFromLayout(com.google.gwt.user.client.ui.Widget w)`
`void` | `resizeWidget(com.google.gwt.user.client.ui.Widget toResize, int newWidth, int newHeight)`
`void` | `resizeWorkspace(int width, int height)` resizes the workspace panel
`void` | `setController(Presenter controller)`
`void` | `setModel(TemplateModel model)`
`void` | `unmask()`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`getWidget, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, performDetachedInitialization, render, render, resolvePotentialElement, setWidget, wrapElement`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### singleton

    public static WorkspacePanel singleton

Constructor Detail

### WorkspacePanel

    public WorkspacePanel(TemplateModel model,
                          Presenter control)

Parameters:
  `c` - the controller instance

Method Detail

### get

    public static WorkspacePanel get()

  Returns:
    .

### addFirstTextArea

    public void addFirstTextArea()

### addComponentToLayout

    public int addComponentToLayout(com.google.gwt.user.client.ui.Widget w,
                                    boolean isFakeTextArea)

  Insert from the user

  Parameters:
    `w` - .
    `x` - .
    `y` - .
  Returns:
    the current index position

### addComponentToLayoutSystem

    public int addComponentToLayoutSystem(com.google.gwt.user.client.ui.Widget w,
                                          boolean isDoubleColumnLayout)

  Insert forom the system

  Parameters:
    `w` -
    `isDoubleColumnLayout` -
  Returns:

### removeComponentFromLayout

    public boolean removeComponentFromLayout(com.google.gwt.user.client.ui.Widget w)

  Parameters:
    `w` - the widget to remove
  Returns:
    true if the romove is successfull

### setModel

    public void setModel(TemplateModel model)

  Parameters:
    `model` - .

### resizeWorkspace

    public void resizeWorkspace(int width,
                                int height)

  resizes the workspace panel

  Parameters:
    `width` - .
    `height` - .

### openImageUploadDialog

    public void openImageUploadDialog(Coords start,
                                      int width,
                                      int height,
                                      DroppingArea toRemove)

  popup the open Image Upload Dialog

  Parameters:
    `start` - .
    `x` - .
    `y` - .

### resizeWidget

    public void resizeWidget(com.google.gwt.user.client.ui.Widget toResize,
                             int newWidth,
                             int newHeight)

  Parameters:
    `toResize` - the widget to resize
    `newWidth` - .
    `newHeight` - .

### moveWidget

    public void moveWidget(com.google.gwt.user.client.ui.Widget toMove,
                           int left,
                           int top)

  Parameters:
    `toMove` - .
    `left` - .
    `top` - .

### getResizePopup

    public com.google.gwt.user.client.ui.PopupPanel getResizePopup(com.google.gwt.user.client.ui.Widget toResize)

  Parameters:
    `toResize` - .
  Returns:
    a popuppanel instance

### getMainLayout

    public com.google.gwt.user.client.ui.FlowPanel getMainLayout()

  Returns:
    .

### setController

    public void setController(Presenter controller)

  Parameters:
    `controller` - .,

### mask

    public void mask()

### unmask

    public void unmask()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.